summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure70
1 files changed, 55 insertions, 15 deletions
diff --git a/configure b/configure
index 9801bf5..8694d93 100755
--- a/configure
+++ b/configure
@@ -1022,6 +1022,8 @@ Optional Features:
debug is disabled.
--enable-trace Enable API tracing capability. Default=no if debug
is disabled.
+ --enable-instrument Enable library instrumentation of optimization
+ tracing. Default=no if debug is disabled.
--enable-parallel Search for MPI-IO and MPI support files
--enable-filters=all Turn on all internal I/O filters. One may also
specify a comma-separated list of filters or the
@@ -4152,7 +4154,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
case $host in
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4155 "configure"' > conftest.$ac_ext
+ echo '#line 4157 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -4693,7 +4695,7 @@ chmod -w .
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
compiler_c_o=no
-if { (eval echo configure:4696: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+if { (eval echo configure:4698: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
if test -s out/conftest.err; then
@@ -6500,7 +6502,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 6503 "configure"
+#line 6505 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -6598,7 +6600,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 6601 "configure"
+#line 6603 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -27936,7 +27938,6 @@ rm -f confcache
PTHREAD=yes
-
# Check whether --with-pthread or --without-pthread was given.
if test "${with_pthread+set}" = set; then
withval="$with_pthread"
@@ -29615,8 +29616,8 @@ echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: checking for TIOCGGETD" >&5
-echo $ECHO_N "checking for TIOCGGETD... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking for TIOCGETD" >&5
+echo $ECHO_N "checking for TIOCGETD... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
@@ -30256,7 +30257,7 @@ else
LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo $LDFLAGS | sed -e 's/-L/:/g' -e 's/ //g'`"
export LD_LIBRARY_PATH
-for hdf5_cv_printf_ll in l L q ll unknown; do
+for hdf5_cv_printf_ll in l L ll q unknown; do
if test "$cross_compiling" = yes; then
continue
else
@@ -30628,6 +30629,7 @@ echo "${ECHO_T}no" >&6
;;
esac
+
echo "$as_me:$LINENO: checking for API tracing" >&5
echo $ECHO_N "checking for API tracing... $ECHO_C" >&6;
# Check whether --enable-trace or --disable-trace was given.
@@ -30636,7 +30638,6 @@ if test "${enable_trace+set}" = set; then
TRACE=$enableval
fi;
-
if test "X-$TRACE" = X- ; then
if test -z "$DEBUG_PKG" ; then
TRACE=no
@@ -30659,6 +30660,41 @@ echo "${ECHO_T}no" >&6
;;
esac
+
+echo "$as_me:$LINENO: checking for instrumented library" >&5
+echo $ECHO_N "checking for instrumented library... $ECHO_C" >&6;
+# Check whether --enable-instrument or --disable-instrument was given.
+if test "${enable_instrument+set}" = set; then
+ enableval="$enable_instrument"
+ INSTRUMENT=$enableval
+fi;
+
+if test "X-$INSTRUMENT" = X- ; then
+ if test -z "$DEBUG_PKG" ; then
+ INSTRUMENT=no
+ else
+ INSTRUMENT=yes
+ fi
+fi
+
+case "X-$INSTRUMENT" in
+ X-yes)
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ INSTRUMENT_LIBRARY=yes
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_INSTRUMENTED_LIBRARY 1
+_ACEOF
+
+ ;;
+ X-no|*)
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ INSTRUMENT_LIBRARY=no
+ ;;
+esac
+
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
@@ -31070,7 +31106,7 @@ echo $ECHO_N "checking whether a simple MPI-IO program can be linked... $ECHO_C"
int
main ()
{
-MPI_Init();MPI_File_open();
+MPI_Init(); MPI_File_open();
;
return 0;
}
@@ -31094,8 +31130,8 @@ else
cat conftest.$ac_ext >&5
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
- { { echo "$as_me:$LINENO: error: 'unable to link a simple MPI-IO application'" >&5
-echo "$as_me: error: 'unable to link a simple MPI-IO application'" >&2;}
+ { { echo "$as_me:$LINENO: error: unable to link a simple MPI-IO application" >&5
+echo "$as_me: error: unable to link a simple MPI-IO application" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
@@ -32096,7 +32132,8 @@ else
fi
ROOT="`$pwd`"
-DYNAMIC_DIRS=""
+ DYNAMIC_DIRS=""
+
if test -n "$LDFLAGS"; then
for d in $LDFLAGS ; do
case "$d" in
@@ -32113,7 +32150,6 @@ if test -n "$LDFLAGS"; then
done
fi
-
if test -n "$CPPFLAGS"; then
TEMP_CPPFLAGS=""
for d in $CPPFLAGS ; do
@@ -32163,7 +32199,7 @@ PABLO_MAKE=""
PARALLEL_PABLO=""
-if test "$HAVE_PABLO" = "yes"; then
+if test "X$HAVE_PABLO" = "Xyes"; then
PABLO_MAKE="pablo/Makefile"
if test -n "$TESTPARALLEL"; then
@@ -32829,6 +32865,7 @@ s,@PDB2HDF@,$PDB2HDF,;t t
s,@PTHREAD@,$PTHREAD,;t t
s,@DEBUG_PKG@,$DEBUG_PKG,;t t
s,@TRACE_API@,$TRACE_API,;t t
+s,@INSTRUMENT_LIBRARY@,$INSTRUMENT_LIBRARY,;t t
s,@PARALLEL@,$PARALLEL,;t t
s,@RUNSERIAL@,$RUNSERIAL,;t t
s,@RUNPARALLEL@,$RUNPARALLEL,;t t
@@ -33625,6 +33662,9 @@ IF_YES_NO "$STATIC_EXEC"
PRINT_N " Tracing"
IF_YES_NO "$TRACE_API"
+PRINT_N " Optimization Instrumentation"
+IF_YES_NO "$INSTRUMENT"
+
PRINT "Languages:"
PRINT_N " C++"